Create a new person with data provided in the request body. JSON format is expected. Requires admin permissions. Validates role, contract_type, two_factor_authentication, email, and expiration_date. Checks user limit for active non-bot users.
POST
/data/persons
curl
curl -X POST "http://api.example.com/data/persons" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"password": "securepassword123",
"role": "user",
"active": true,
"contract_type": "permanent",
"two_factor_authentication": "none",
"expiration_date": "2025-12-31",
"is_bot": false
}'
import requests
url = "http://api.example.com/data/persons"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"password": "securepassword123",
"role": "user",
"active": true,
"contract_type": "permanent",
"two_factor_authentication": "none",
"expiration_date": "2025-12-31",
"is_bot": false
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/persons' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"first_name":"John","last_name":"Doe","email":"john.doe@example.com","password":"securepassword123","role":"user","active":true,"contract_type":"permanent","two_factor_authentication":"none","expiration_date":"2025-12-31","is_bot":false}'
Request examples
{
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"password": "securepassword123",
"role": "user",
"active": true,
"contract_type": "permanent",
"two_factor_authentication": "none",
"expiration_date": "2025-12-31",
"is_bot": false
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"role": "user",
"active": true,
"contract_type": "permanent",
"two_factor_authentication": "none",
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}